Migrate SVM keys between security key managers
Migrates SVM keys between the cluster's key manager and the SVM's key manager. Use this operation when you need to transfer key management responsibilities between different key managers for an SVM.
HTTP method and endpoint
POST /security/key-managers/{source.uuid}/migrate
Introduced in
ONTAP 9.7
Usage notes
Migrates the keys belonging to an SVM between the cluster's key manager and the SVM's key manager. This operation can run for several minutes.
Required properties
-
source.uuid- UUID of the source key manager. -
uuid- UUID of the destination key manager. The UUID of onboard and external KMIP key manager can be fetched using [GET /api/security/key-managers]. The UUID of Azure Key Vault key manager can be fetched using [GET /api/security/azure-key-vaults]. The UUID of Google Cloud key manager can be fetched using [GET /api/security/gcp-kms]. The UUID of Amazon Web Services key manager can be fetched using [GET /api/security/aws-kms].
Related ONTAP commands
-
security key-manager key migrate
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
source.uuid |
string |
path |
True |
Migration source key manager UUID |
return_timeout |
integer |
query |
False |
The number of seconds to allow the call to execute before returning. When doing a POST, PATCH, or DELETE operation on a single record, the default is 0 seconds. This means that if an asynchronous operation is started, the server immediately returns HTTP code 202 (Accepted) along with a link to the job. If a non-zero value is specified for POST, PATCH, or DELETE operations, ONTAP waits that length of time to see if the job completes so it can return something other than 202.
|
return_records |
boolean |
query |
False |
The default is false. If set to true, the records are returned.
|
Request Body
| Name | Type | Description |
|---|---|---|
uuid |
string |
Key manager UUID |
Example request
{
"uuid": "1cd8a442-86d1-11e0-ae1c-123478563434"
}
Response
Status: 202, Accepted
| Name | Type | Description |
|---|---|---|
job |
Example response
{
"job": {
"uuid": "string"
}
}
Response
Status: 201, Created
Error
Status: Default
ONTAP Error Response Codes
| Error Code | Description |
|---|---|
65536886 |
The specified migration option is not supported in this release. |
65536959 |
The source-uuid and UUID must be different values. |
65536968 |
Check that all nodes of the cluster are healthy and retry the operation. |
65537117 |
The migrate operation cannot be started because a UUID cannot be converted to an SVM name. |
65537117 |
Cannot start migration because a key manager referenced by a provided UUID does not exist. |
65537551 |
Top-level internal key protection key (KEK) is unavailable on one or more nodes. |
65537552 |
Embedded KMIP server status is not available. |
65537564 |
Check that the Azure Key Vault Service is healthy and retry the operation. |
65537611 |
Key migration cannot be performed on the SVM while the enabled keystore configuration is being switched. If a previous attempt to switch the keystore configuration failed, or was interrupted, the system will continue to prevent key migration for the SVM. Use the REST API PATCH method "/api/security/key-stores/{uuid}" to re-run and complete the operation. |
65537720 |
Failed to configure the Google Cloud Key Management Service for an SVM because a key manager is already configured. |
65537736 |
Check that the Google Cloud Key Management Service is healthy and retry the operation. |
65538107 |
Key migration to an IBM Key Lore key manager is not supported. |
65539434 |
Cannot perform key migration on the SVM while the keystore is being initialized. Wait until the keystore is in the active state, and rerun the key migration operation. |
65539435 |
Cannot perform key migration on the SVM while the keystore is being disabled. |
Also see the table of common errors in the Response body overview section of this documentation.
Definitions
See Definitions
href
| Name | Type | Description |
|---|---|---|
href |
string |
_links
info
Migration destination key manager UUID
| Name | Type | Description |
|---|---|---|
uuid |
string |
Key manager UUID |
job_link
| Name | Type | Description |
|---|---|---|
uuid |
string |
The UUID of the asynchronous job that is triggered by a POST, PATCH, or DELETE operation. |
error_arguments
| Name | Type | Description |
|---|---|---|
code |
string |
Argument code |
message |
string |
Message argument |
returned_error
| Name | Type | Description |
|---|---|---|
arguments |
array[error_arguments] |
Message arguments |
code |
string |
Error code |
message |
string |
Error message |
target |
string |
The target parameter that caused the error. |